#include <lua.h>
#include <lauxlib.h>

#include "lsup_rdf.h"

#ifndef _LUA_LSUP_H
#define _LUA_LSUP_H

/// Raise Lua error including LSUP error message on negative rc.
#define LUA_PCHECK(exp, message) do {\
    if (UNLIKELY ((exp) < LSUP_OK)) \
        return luaL_error (L, "%s: %s", message, LSUP_strerror (exp)); \
} while (0)

#define LUA_NLCHECK(exp, message) do {\
    if (UNLIKELY ((exp) == NULL)) return luaL_error (L, message); \
} while (0)

/// Create new namespace map.
int l_nsmap_new (lua_State *L);

/// Allocate space for a term object.
LSUP_Term **allocate_term (lua_State *L);

#endif  // _LUA_LSUP_H
